using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;
using System.Text;

public partial class _Default : System.Web.UI.Page 
{

    private void bindProducer()
    {
        ListProducer dp = Session["ContactsData"] as ListProducer;
        repContacts.DataSource = dp.getContacts();
        repContacts.DataBind();
    }

    
    
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            ListProducer dp = new ListProducer();
            Session["ContactsData"] = dp;

            bindProducer();
        }
    }



    [Gaia.WebWidgets.Method]
    private void items_ClientSelectionChanged(string listId, int pos1, int pos2, bool isSelect)
    {
        int posBegin = pos1 <= pos2 ? pos1 : pos2;
        int posEnd   = pos1 >= pos2 ? pos1 : pos2;

        ListProducer dp = Session["ContactsData"] as ListProducer;
        List<ContactDataView> cl = dp.getContacts();
        for (int i = posBegin; i <= posEnd; i++)
        {
            cl[i].Selected = isSelect;
        }

        StringBuilder sb = new StringBuilder();
        foreach (ContactDataView ct in cl)
        {
            if (ct.Selected)
            {
                sb.Append(ct.ItemPhone);
                sb.Append("<br />");
            }
        }
        lbMsg.Text = "Selected Phones in list " + listId + ": <br>" + sb.ToString();
    }
}